package com.uoc.footballteam.integration;

import java.util.ArrayList;

import com.uoc.myframeuoc.annotations.*;

/**
 * Classe que representa a un representant d'un jugador de futbol.
 * 
 * @author Jordi Garcia Casanova
 *
 */
@Entity(Table = "Representant")
public class DRepresentants {
	@PrimaryKey(Name = "PK_Representant", Field = "campDNI")
	private char[] DNI;
	
	@Column(Field = "campNom", Length = "40")
	private String nom;
	
	@Column(Field = "campCognom1", Length = "40")
	private String cognom1;
	
	@Column(Field = "campCognom2", Length = "40")
	private String cognom2;
	
	@Column(Field = "campComissio")
	private Float comissio;

	@OneToMany(Table = "RepresentantJugador", NameFK_To = "FK1_RepresentantJugador", NameFK_From = "FK2_RepresentantJugador", 
			Fields_To = "jugador-DNI", Fields_From = "representant-DNI")
	private ArrayList<DJugadors> jugadors;
	
	/**
	 * Constructor.
	 * 
	 * @param DNI - Nmedo de D.N.I. del respresentant.
	 * @param nom - Nom del representant.
	 * @param cognom1 - Primer cognom del representant.
	 * @param cognom2 - Segon cognom del representant.
	 * @param comissio - Tant per cent (%) que guanya el representant en cada trasps d'un jugador.
	 */
	public DRepresentants(char[] DNI, String nom, String cognom1, String cognom2, Float comissio){
		this.DNI = DNI;
		this.nom = nom;
		this.cognom1 = cognom1;
		this.cognom2 = cognom2;
		this.comissio = comissio;
	}

	//Getters i setters.
	public char[] getDNI() {
		return DNI;
	}

	public void setDNI(char[] dni) {
		DNI = dni;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public String getCognom1() {
		return cognom1;
	}

	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}

	public String getCognom2() {
		return cognom2;
	}

	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}

	public Float getComissio() {
		return comissio;
	}

	public void setComissio(Float comissio) {
		this.comissio = comissio;
	}

	public ArrayList<DJugadors> getJugadors() {
		return jugadors;
	}

	public void setJugadors(ArrayList<DJugadors> jugadors) {
		this.jugadors = jugadors;
	}
}
