package com.uoc.footballteam.presentation;

import com.uoc.footballteam.util.FootballTeam;

/**
 * Aquest <code>Enum</code> serveix per a emmagatzemar les accions que pot
 * dur a terme el servelt <i>EntrenamentsServlet</i>.
 * 
 * @author Jordi Garcia Casanova
 *
 */
public enum EntrenamentsActions {
	LLISTA_ENTRENAMENTS("LlistaEntrenaments", FootballTeam.VISTA_LLISTAENTRENAMENTS),
	ALTA_ENTRENAMENT_IN("AltaEntrenamentIn", FootballTeam.VISTA_ALTAENTRENAMENT),
	ALTA_ENTRENAMENT_SAVE("AltaEntrenamentSave", FootballTeam.VISTA_MISSATGE),
	BAIXA_ENTRENAMENT("BaixaEntrenament", FootballTeam.VISTA_MISSATGE),
	ACTUALITZA_ENTRENAMENT_IN("ActualitzaEntrenamentIn", FootballTeam.VISTA_MODIFICACIOENTRENAMENT),
	ACTUALITZA_ENTRENAMENT_SAVE("ActualitzaEntrenamentSave", FootballTeam.VISTA_MISSATGE),
	CONSULTA_ENTRENAMENT("ConsultaEntrenament", FootballTeam.VISTA_CONSUTLAENTRENAMENT ),
	LLISTA_JUGADORSENTRENAMENT("LlistaJugadorsEntrnament", FootballTeam.VISTA_JUGADORSENTRENAMENT),
	TREURE_JUGADOR("TreureJugador", FootballTeam.VISTA_JUGADORSENTRENAMENT),
	INCLOURE_JUGADOR("IncloureJugador", FootballTeam.VISTA_JUGADORSENTRENAMENT);
	
	
	//Acci.
	private final String accio;
	
	//Vista que s'ha de mostrar.
	private final String vista;
	
	/**
	 * Consturctor.
	 * 
	 * @param accio - Acci.
	 * @param vista - Vista que s'ha de mostrar.
	 */
	EntrenamentsActions(String accio, String vista){
		this.accio = accio;
		this.vista = "/" + vista;
	}
	
	/**
	 * Permet obtenir l'acci.
	 * 
	 * @return Un <code>String</code> amb el nom de l'acci.
	 */
	public String getAccio(){
		return (this.accio);
	}
	
	/**
	 * Permet obtenir la vista.
	 * 
	 * @return Un <code>String</code> amb el nom de la vista.
	 */
	public String getVista(){
		return (this.vista);
	}
}
