package com.uoc.footballteam.presentation;

import com.uoc.footballteam.util.FootballTeam;

/**
 * Aquet <code>Enum</code> serveix per a emmagatzemar les accions que pot dur a terme 
 * el servlet <i>EquipsServlet</i>.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public enum EquipsActions {
	LLISTA_EQUIPS("LlistaEquips", FootballTeam.VISTA_LLISTAEQUIPS),
	ALTA_EQUIP_IN("AltaEquipIn", FootballTeam.VISTA_ALTAEQUIP),
	ALTA_EQUIP_SAVE("AltaEquipSave", FootballTeam.VISTA_MISSATGE),
	BAIXA_EQUIP("BaixaEquip", FootballTeam.VISTA_MISSATGE),
	ACTUALITZA_EQUIP_IN("ActualitzaEquipIn", FootballTeam.VISTA_MODIFICACIOEQUIP),
	ACTUALITZA_EQUIP_SAVE("ActualitzaEquipSave", FootballTeam.VISTA_MISSATGE),
	LLISTA_JUGADORSEQUIP("LlistaJugadorsEquip", FootballTeam.VISTA_JUGADORSEQUIP),
	INCLOURE_JUGADOR("IncloureJugador", FootballTeam.VISTA_JUGADORSEQUIP),
	TREURE_JUGADOR("TreureJugador", FootballTeam.VISTA_JUGADORSEQUIP),
	DADES_INICIALS("DadesInicials", FootballTeam.VISTA_MISSATGE);
	
	//Acci.
	private final String accio;
	
	//Vista que s'ha de mostrar.
	private final String vista;
	
	/**
	 * Consturctor.
	 * 
	 * @param accio - Acci.
	 * @param vista - Vista que s'ha de mostrar.
	 */
	EquipsActions(String accio, String vista){
		this.accio = accio;
		this.vista = "/" + vista;
	}
	
	/**
	 * Permet obtenir l'acci.
	 * 
	 * @return Un <code>String</code> amb el nom de l'acci.
	 */
	public String getAccio(){
		return (this.accio);
	}
	
	/**
	 * Permet obtenir la vista.
	 * 
	 * @return Un <code>String</code> amb el nom de la vista.
	 */
	public String getVista(){
		return (this.vista);
	}
}
