package com.uoc.footballteam.presentation;

import java.io.IOException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.*;

import com.uoc.footballteam.util.FootballTeam;


/**
 * Servlet que fa de controlador en la capa de presentaci del
 * sistema <i>FootballTeam</i>.
 *
 */
public class FrontController extends javax.servlet.http.HttpServlet{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Consturctor.
	 */
	public FrontController(){
		super();
	}

	@Override
	public void init(ServletConfig config) throws ServletException {
		super.init(config);
	}

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		String nextPage			= FootballTeam.VISTA_ERROR;
		String operation		= null;
		Command cmd				= null;
		RequestDispatcher rd	= null;
		
		try{
			operation = req.getParameter(FootballTeam.PARAM_COMMAND);
			cmd = Factory.getReference().getCommand(operation);
			nextPage = cmd.execute(this, req, resp);
		
			rd = this.getServletContext().getRequestDispatcher(resp.encodeURL(nextPage));
			rd.forward(req, resp);
		}
		catch (Exception e){
			e.printStackTrace();
		}
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException 
	{
		doGet(req, resp);
	}
	
}
