package com.uoc.footballteam.presentation;

import com.uoc.footballteam.util.FootballTeam;

/**
 * Aquest <code>Enum</code> serveix per a emmagatzemar les accions que pot dur a terme 
 * el servlet <i>JugadorssServlet</i>.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public enum JugadorsActions {
	LLISTA_JUGADORS("LlistaJugadors", FootballTeam.VISTA_LLISTAJUGADORS),
	ALTA_JUGADOR_IN("AltaJugadorIn", FootballTeam.VISTA_ALTAJUGADOR),
	ALTA_JUGADOR_SAVE("AltaJugadorSave", FootballTeam.VISTA_MISSATGE),
	BAIXA_JUGADOR("BaixaJugador", FootballTeam.VISTA_MISSATGE),
	ACTUALITZA_JUGADOR_IN("ActualitzaJugadorIn", FootballTeam.VISTA_MODIFICACIOJUGADOR),
	ACTUALITZA_JUGADOR_SAVE("ActualitzaJugadorSave", FootballTeam.VISTA_MISSATGE),
	LLISTA_ENTRENAMENTSJUGADOR("LlistaEntrenamentsJugador", FootballTeam.VISTA_ENTRENAMENTSJUGADOR),
	INICIA_ENTRENAMENT("IniciaEntrenament", FootballTeam.VISTA_ENTRENAMENTSJUGADOR),
	FINALITZA_ENTRENAMENT("FinalitzaEntrenament", FootballTeam.VISTA_ENTRENAMENTSJUGADOR);
	
	//Acci.
	private final String accio;
	
	//Vista que s'ha de mostrar.
	private final String vista;
	
	/**
	 * Consturctor.
	 * 
	 * @param accio - Acci.
	 * @param vista - Vista que s'ha de mostrar.
	 */
	JugadorsActions(String accio, String vista){
		this.accio = accio;
		this.vista = vista;
	}
	
	/**
	 * Permet obtenir l'acci.
	 * 
	 * @return Un <code>String</code> amb el nom de l'acci.
	 */
	public String getAccio(){
		return (this.accio);
	}
	
	/**
	 * Permet obtenir la vista.
	 * 
	 * @return Un <code>String</code> amb el nom de la vista.
	 */
	public String getVista(){
		return (this.vista);
	}
}
