package com.uoc.footballteam.util;

/**
 * Classe que serveix per a emmagatzemar les constants que s'utilitzen en l'aplicaci.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public class FootballTeam {
	
	//*** RUTES ***
	public static final String DIR_COMMANDFACTORY	= "com.uoc.footballteam.presentation.";
	
	//*** SERVLETS/COMMANDS ***
	public static final String SERVLET_FRONT_CONTROLLER = "FootballTeam";
	public static final String SERVLET_JUGADORS			= "JugadorsServlet";
	public static final String SERVLET_EQUIPS			= "EquipsServlet"; 
	public static final String SERVLET_ENTRENAMENTS		= "EntrenamentsServlet";
	
	//*** VISTES ***
	public static final String VISTA_ERROR						= "/error.jsp";
	public static final String VISTA_MISSATGE					= "/missatge.jsp";
	public static final String VISTA_LLISTAEQUIPS				= "/LlistaEquips.jsp";
	public static final String VISTA_INDEX 						= "/index.html";
	public static final String VISTA_INDEX_ABS					= "index.html";
	public static final String VISTA_LLISTAJUGADORS				= "/LlistaJugadors.jsp"; 
	public static final String VISTA_ALTAJUGADOR				= "/AltaJugador.jsp";
	public static final String VISTA_MODIFICACIOJUGADOR			= "/ModificacioJugador.jsp"; 
	public static final String VISTA_ALTAEQUIP					= "/AltaEquip.jsp";
	public static final String VISTA_MODIFICACIOEQUIP			= "/ModificacioEquip.jsp";
	public static final String VISTA_JUGADORSEQUIP				= "/LlistaJugadorsEquip.jsp";
	public static final String VISTA_LLISTAENTRENAMENTS			= "/LlistaEntrenaments.jsp";
	public static final String VISTA_ALTAENTRENAMENT			= "/AltaEntrenament.jsp";
	public static final String VISTA_MODIFICACIOENTRENAMENT		= "/ModificacioEntrenament.jsp";
	public static final String VISTA_CONSUTLAENTRENAMENT		= "/ConsultaEntrenament.jsp";
	public static final String VISTA_JUGADORSENTRENAMENT		= "/LlistaJugadorsEntrenament.jsp";
	public static final String VISTA_ENTRENAMENTSJUGADOR		= "/LlistaEntrenamentsJugador.jsp";
	
	//*** PARMETRES ***
	public static final String PARAM_COMMAND				= "command";
	public static final String PARAM_ACTION					= "action";
	public static final String PARAM_ERROR					= "msgError";
	public static final String PARAM_TARGET					= "target";
	public static final String PARAM_MSG					= "msg";
	public static final String PARAM_LLISTA_JUGADORS		= "LlistaJugadors";
	public static final String PARAM_ELEMENT				= "Element";
	public static final String PARAM_JUGADOR				= "Jugador";
	public static final String PARAM_LLISTA_EQUIPS			= "LlistaEquips";
	public static final String PARAM_EQUIP					= "Equip";
	public static final String PARAM_LLISTA_ENTRENAMENTS	= "LlistaEntrenaments";
	public static final String PARAM_ENTRENAMENT			= "Entrenament";
	
	//*** Dades servidor JBoss ***
	public static final String NOM_SERVIDOR			= "localhost";
	public static final String PORT_HTTP 			= "8080";
	public static final String HEAD_HTTP 			= "http://";
	
	//*** MISSATGES ***
	public static final String MSG_ERROR_GENERAL					= "ATENCI! ";
	public static final String MSG_BTN_ACCEPTAR						= "Acceptar";
	public static final String MSG_BTN_ESBORRAR						= "Esborrar";
	public static final String MSG_BTN_MODIFICAR					= "Modificar";
	public static final String MSG_BTN_DESAR						= "Desar";
	public static final String MSG_BTN_ACTUALITZAR					= "Actualitzar";
	public static final String MSG_BTN_JUGADORS						= "Jugadors";
	public static final String MSG_BTN_INCLOURE						= "Incloure";
	public static final String MSG_BTN_TREURE						= "Treure";
	public static final String MSG_BTN_DETALL						= "Detall";
	public static final String MSG_BTN_ENTRENAMENTS					= "Entrenaments";
	public static final String MSG_BTN_FINALITZAR					= "Finalitzar";
	public static final String MSG_BTN_INICIAR						= "Iniciar";
	public static final String MSG_ERROR_CREAR_JUGADOR				= "S'ha produt un error i el jugador no s'ha pogut crear.";
	public static final String MSG_ERROR_CONSULTAR_JUGADORS			= "S'ha produt un error i no s'ha pogut obtenir la llista de jugadors."; 
	public static final String MSG_ERROR_BAIXA_JUGADOR				= "S'ha produt un error en l'eliminaci del jugador de la base de dades.";
	public static final String MSG_DIA_INCORRECTE					= "El nmero de dia indicat s incorrecte: ha de ser un nmero comprs entre l'1 i el 31.";
	public static final String MSG_MES_INCORRECTE					= "El nmero de mes indicat s incorrecte: ha de ser un nmero comprs entre l'1 i el 12.";
	public static final String MSG_ANY_INCORRECTE					= "El nmero d'any indicat s incorrecte: ha de ser un nmero comprs entre 1900 i 9999.";
	public static final String MSG_EDAT_INCORRECTA					= "L'edat indicada s incorrecta: ha de ser un nmero comprs entre el 0 i el 99.";
	public static final String MSG_SOU_INCORRECTE					= "El sou indicat s incorrecte."; 
	public static final String MSG_DNI_NUMERO_INCORRECTE			= "El nmero del D.N.I. s incorrecte: s'han d'indicar 8 dgits i una lletra."; 
	public static final String MSG_DNI_LLETRA_INCORRECTA			= "La lletra del D.N.I. s incorrecta: s'ha d'indicar una lletra de l'A a la Z.";
	public static final String MSG_ERROR_JUGADOR_EXISTEIX			= "El jugador que s'intenta donar d'alta ja existeix en la base de dades.";
	public static final String MSG_JUGADOR_EMMAGATZEMAT				= "El jugador s'ha emmagatzemat correctament en la base de dades."; 
	public static final String MSG_NOM_INCORRECTE					= "El nom s obligatori."; 
	public static final String MSG_JUGADOR_ESBORRAT					= "El jugador s'ha esborrat correctament de la base de dades.";
	public static final String MSG_JUGADOR_MODIFICAT				= "El jugador s'ha actualitzat correctament en la base de dades.";
	public static final String MSG_ERROR_ACTUALITZAR_JUGADOR		= "S'ha produt un error i el jugador no s'ha pogut actualitzar.";
	public static final String MSG_EQUIP_EMMAGATZEMAT				= "L'equip s'ha emmagatzemat correctament en la base de dades.";
	public static final String MSG_ERROR_EQUIP_EXISTEIX				= "L'equip que s'intenta donar d'alta ja existeix en la base de dades.";
	public static final String MSG_ERROR_CREAR_EQUIP				= "S'ha produt un error i l'equip no s'ha pogut crear."; 
	public static final String MSG_ERROR_CONSULTAR_EQUIPS			= "S'ha produt un error i no s'ha pogut obtenir la llista d'equips.";
	public static final String MSG_ID_EQUIP_INCORRECTE				= "L'identificador de l'equip ha de ser un nmero comprs entre el 0 i el 999.";
	public static final String MSG_ID_EQUIP_OBLIGATORI				= "L'identificador de l'equip s obligatori.";
	public static final String MSG_NOM_EQUIP_OBLIGATORI				= "El nom de l'equip s obligatori.";
	public static final String MSG_EQUIP_ESBORRAT					= "L'equip s'ha esborrat correctament de la base de dades.";
	public static final String MSG_PRESSUPOST_INCORRECTE			= "El pressupost indicat s incorrecte.";
	public static final String MSG_EQUIP_MODIFICAT					= "L'equip s'ha actualitzat correctament en la base de dades.";
	public static final String MSG_ERROR_ACTUALITZAR_EQUIP			= "S'ha produt un error i l'equip no s'ha pogut actualitzar.";
	public static final String MSG_ERROR_ESBORRAR_EQUIP				= "S'ha produt un error en l'eliminaci de l'equip de la base de dades.";
	public static final String MSG_ERROR_CONSULTA_JUGADORSEQ		= "S'ha produt un error i no s'ha pogut obtenir la llista de jugadors de l'equip.";
	public static final String MSG_ERROR_INCLOURE_JUGADOREQ			= "S'ha produt un error en afegir el jugador a l'equip.";
	public static final String MSG_ERROR_TREURE_JUGADOREQ			= "S'ha produt un error en treure el jugador de l'equip.";
	public static final String MSG_ID_ENTRENAMENT_OBLIGATORI		= "L'identificador de l'entrenament s obligatori.";
	public static final String MSG_SESSIONS_INCORRECTE				= "El nmero de sessions indicat s incorrecte: ha de ser un nmero comprs entre l'1 i el 999.";
	public static final String MSG_HORES_INCORRECTE					= "El nmero d'hores indicat s incorrecte: ha de ser un nmero comprs entre el 0 i el 23.";
	public static final String MSG_MINUTS_INCORRECTE				= "El nmero de minuts indicat s incorrecte: ha de ser un nmero comprs entre el 0 i el 59";
	public static final String MSG_NOM_ENTRENAMENT_OBLIGATORI		= "El nom de l'entrenament s obligatori.";
	public static final String MSG_INSTRUCCIONS_INCORRECTE			= "La mida de les instruccions no pot superar els 3000 carcters.";
	public static final String MSG_DESCRIPCIO_INCORRECTE			= "La mida de la descripci no pot superar els 1000 carcters.";
	public static final String MSG_ENTRENAMENT_EMMAGATZEMAT			= "L'entrenament s'ha emmagatzemat correctament en la base de dades.";
	public static final String MSG_ENTRENAMENT_EXISTEIX				= "L'entrenament que s'intenta donar d'alta ja existeix en la base de dades.";
	public static final String MSG_ERROR_CREAR_ENTRENAMENT			= "S'ha produt un error i l'entrenament no s'ha pogut crear.";
	public static final String MSG_ERROR_DETALL_ENTRENAMENT			= "S'ha produt un error al llegir els detalls de l'entrenament de la base de dades.";
	public static final String MSG_ENTRENAMENT_ESBORRAT				= "L'entrenament s'ha esborrat correctament de la base de dades.";
	public static final String MSG_ERROR_ESBORRAR_ENTRENAMENT		= "S'ha produt un error en l'eliminaci de l'entrenament de la base de dades.";
	public static final String MSG_ENTRENAMENT_MOFIDICAT			= "L'entrenament s'ha actualitzat correctament en la base de dades.";
	public static final String MSG_ERROR_ACTUALITZAR_ENTRENAMENT	= "S'ha produt un error i l'entrenament no s'ha pogut actualitzar.";
	public static final String MSG_ERROR_CONSULTA_JUGADORSENT		= "S'ha produt un error i no s'ha pogut obtenir la llista de jugadors que han seguit l'entrenament.";
	public static final String MSG_ERROR_INCLOURE_JUGADORENT		= "S'ha produt un error en incloure el jugador a l'entrenament.";
	public static final String MSG_ERROR_ENTRENAMENTS_JUGADOR		= "S'ha produt un error i no s'ha pogut obtenir els entrenaments del jugador.";
	public static final String MSG_ERROR_INICIAR_ENT				= "S'ha produt un error al iniciar l'entrenament del jugador.";
	public static final String MSG_ERROR_FINALITZAR_ENT				= "S'ha produt un error al finalitzar l'entrenament del jugador.";
	public static final String MSG_ERROR_DADES_INICIALS				= "S'ha produt un error al carregar les dades inicials."; 
	public static final String MSG_DADES_INICIALS_CARREGADES		= "Les dades inicials de demostraci s'han emmagatzemat correctament en la base de dades.";
	
	//*** ALTRES ***
	public static final String MYFRAMEUOC_CONF			= "/WEB-INF/configurationOracle.xml";  //Canviar a "/WEB-INF/configurationMySQL.xml" si es vol utilitzar MySQL.
	//public static final String MYFRAMEUOC_CONF			= "/WEB-INF/configurationMySQL.xml";
	
	//Context
	public static final String CONTEXT = "/FootballTeam/";
	
}
