package com.uoc.myframeuoc.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Interfcie que s'utilitza per a definir l'anotaci @Entity.
 * Aquesta anotaci serveix per a indicar que una classe s entitat,
 * s a dir, que es fa persistent.
 * 
 * @author Jordi Garcia Casanova
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Entity {
	/**
	 * Nom de la taula que est associada a l'entitat 
	 * que es defineix.
	 * 
	 * @return Un <code>String</code> amb el nom de la taula amb la qual s'associa l'entitat.
	 */
	String Table() default "";
}
