package com.uoc.myframeuoc.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Interfcie que s'utilitza per a definir l'anotaci @ForeignKey.
 * Aquesta anotaci serveix per a indicar que un atribut s clau forana
 * cap a una altra entitat.
 * 
 * @author Jordi Garcia Casanova
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface ForeignKey {
	/**
	 * Nom de la clau forana dins de la taula.
	 * 
	 * @return Un <code>String</code> amb el nom que t la clau forana en la taula.
	 */
	String Name() default "";
	/**
	 * Correspondncia entre els camps de l'entitat origen i els de la taula referenciada.
	 * 
	 * @return Un <code>String</code> amb la correspondncia entre els camps de l'entitat origen
	 * i els de la taula referenciada.
	 */
	String Fields() default "";
}
