package com.uoc.myframeuoc.environment;

/**
 * Enum que serveix per a emmagatzemar els tipus de sistemes de gesti
 * de bases de dades (SGBD) que es poden utilitzar en MyFrameUOC:
 * <br><br>
 * <li>
 * {@link com.uoc.myframeuoc.environment.SGBDType#Oracle Oracle}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.environment.SGBDType#MySQL MySQL}
 * </li>
 * <br><br>
 * @author Jordi Garcia Casanova
 *
 */
public enum SGBDType {
	/**
	 * Indica que s'utilitza l'Oracle com a sistema de gesti de base
	 * de dades.
	 */
	Oracle,
	/**
	 * Indica que s'utilitza MySQL com a sistema de gesti de base
	 * de dades.
	 */
	MySQL
}
