package com.uoc.myframeuoc.exceptions;

/**
 * Classe que serveix per a emmagatzemar els diferents tipus d'excepci
 * que es poden produir en el framework MyFameUOC:
 * <br>
 * <br>
 * <li>
 * {@link com.uoc.myframeuoc.exceptions.TypeException#GENERAL GENERAL}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.exceptions.TypeException#DATABASE DATABASE}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.exceptions.TypeException#ENVIRONMENT ENVIRONMENT}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.exceptions.TypeException#MAPPING MAPPING}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.exceptions.TypeException#QUERYMANAGEMENT QUERYMANAGEMENT}
 * </li>
 * <br>
 * <br>
 * @author Jordi Garcia Casanova.
 *
 */
public enum TypeException {
	/**
	 * L'excepci s general.
	 */
	GENERAL,
	/**
	 * L'excepci es produeix en la capa <i>DataBase</i>, s a dir
	 * dins del paquet <code>com.uoc.myframeuoc.database</code>.
	 */
	DATABASE,
	/**
	 * L'excepci es produeix en la capa <i>Environment</i>, s a dir,
	 * dins del paquet <code>com.uoc.myframeuoc.environment</code>.
	 */
	ENVIRONMENT,
	/**
	 * L'excepci es produeix en la capa <i>Mapping</i>, s a dir,
	 * dins del paquet <code>com.uoc.myframeuoc.mapping</code>.
	 */
	MAPPING,
	/**
	 * L'excepci es produeix en la capa <i>QueryManagement</i>, s a dir,
	 * dins del paquet <code>com.uoc.myframeuoc.querymanagement</code>.
	 */
	QUERYMANAGEMENT;
}
