package com.uoc.myframeuoc.mapping;

import com.uoc.myframeuoc.database.TypeMap;
import com.uoc.myframeuoc.exceptions.MyFrameUOCException;

/**
 * Classe que representa i gestiona el mapeig d'un camp o atribut.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public class ColumnMap extends FieldMap {

	/**
	 * Constructor.
	 * 
	 * @param property - Nom de l'atribut que es mapeja.
	 * @param field - Nom de la columna de la taula amb la qual es vincula l'atribut.
	 * @param typeMap - Tipus de dades mapejat que li correspon a l'atribut que es mapeja.
	 * @param precision - Precisi del camp numric de la taula.
	 * @param scale - Escala del camp numric de la taula.
	 * @param length - Mida en carcters o bytes del camp de la taula.
	 * @param unique - Indica si el valor del camp es pot repetir.
	 * @param required - Indica si el camp s obligatori.
	 * 
	 * @throws MyFrameUOCException 
	 */
	public ColumnMap(String property, String field, TypeMap typeMap, Integer precision, Integer scale, Integer length, boolean unique, boolean required) throws MyFrameUOCException {
		super(property, field, typeMap, precision, scale, length, unique, required);
	}
}
