package com.uoc.myframeuoc.mapping;

import com.uoc.myframeuoc.environment.Session;
import com.uoc.myframeuoc.exceptions.MyFrameUOCException;

/**
 * Classe que representa i gestiona les relacions d'un a molts (1 a N).
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public class OneToManyMap extends BinaryAssociationMap {

	/**
	 * Constructor.
	 * 
	 * @param table - Nom de la taula que s'utilitza per a implementar la relaci d'un a molts.
	 * @param property - Nom de l'atribut de l'entitat orgien que fa de relaci (s una Collection que cont
	 * objectes de l'entitat dest).
	 * @param nameEntity - Nom de l'entitat dest de la relaci d'un a molts.
	 * @param session - Sessi de MyFrameUOC que s'utilitza.
	 * @param nameFKTo - Nom de la clau forana cap a la taula de l'entitat dest.
	 * @param nameFKFrom - Nom de la clau forana cap a la taula de l'entitat orgien.
	 * @param fieldsTo - Correspondncia entre els camps de la clau forana i els atributs de l'entitat dest.
	 * @param fieldsFrom - Correspondncia entre els camps de la clau forana i els atributs de l'entitat origen.
	 * 
	 * @throws MyFrameUOCException Si no es pot crear la relaci d'un a molts (1 a N):
	 */
	public OneToManyMap(String table, String property, String nameEntity,
			Session session, String nameFKTo, String nameFKFrom,
			String fieldsTo, String fieldsFrom) throws MyFrameUOCException {
		super(table, property, nameEntity, session, nameFKTo, nameFKFrom,
				fieldsTo, fieldsFrom);
	}
}
