package com.uoc.myframeuoc.querymanagement;

/**
 * Aquest <code>Enum</code> serveix per a emmagatzemar els tipus de restricci o <i>constraint</i>
 * que es pot definir en una taula d'una base de dades:
 * <br><br>
 * <li>
 * {@link com.uoc.myframeuoc.querymanagement.ConstraintType#PRIMARY_KEY PRIMARY_KEY}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.querymanagement.ConstraintType#UNIQUE UNIQUE}
 * </li>
 * <br><br>
 * @author Jordi Garcia Casanova.
 *
 */
public enum ConstraintType {
	/**
	 * Restricci o <i>constraint</i> de clau primria.
	 */
	PRIMARY_KEY("PRIMARY KEY"),
	/**
	 * Restricci o <i>constraint</i> de no repetici.
	 */
	UNIQUE("UNIQUE");
	
	//Nom de la restricci.
	private String constraint		= null;
	
	/**
	 * Constructor.
	 * 
	 * @param constraint - Nom de la restricci o <i>constraint</i>.
	 */
	ConstraintType(String constraint){
		this.constraint = constraint;
	}
	
	/**
	 * Permet obtenir el nom de la restricci o <i>constraint</i>.
	 * 
	 * @return Un <code>String</code> amb el nom de la restricci.
	 */
	public String getConstraint(){
		return (this.constraint);
	}
}
