package com.uoc.myframeuoc.querymanagement;

import com.uoc.myframeuoc.exceptions.MyFrameUOCException;

/**
 * Classe que representa i gestiona les sentncies DROP TABLE en MySQL.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public class DropMySQL extends Drop {

	/**
	 * Constructor.
	 * 
	 * @param table - Nom de la taula que participa en la sentncia (la qual s'esborrar).
	 * 
	 * @throws MyFrameUOCException Si no es pot crear la sentncia DROP TABLE en MySQL..
	 */
	public DropMySQL(String table) throws MyFrameUOCException {
		super(table);
	}

	/**
	 * Permet obtenir una sentncia DROP TABLE construda en MySQL.
	 * 
	 * @return Un <code>String</code> amb la sentncia DROP TABLE construda en MySQL.
	 * 
	 * @exception MyFrameUOCException Si no es pot obtenir la sentncia DROP TABLE construda en MySQL.
	 */
	@Override
	public String getQuery() throws MyFrameUOCException {
		String query	= null;
		
		query = "DROP TABLE " + this.getTable();
		
		return (query);
	}
}
