package com.uoc.myframeuoc.querymanagement;

import com.uoc.myframeuoc.exceptions.MyFrameUOCException;
import com.uoc.myframeuoc.exceptions.QueryManagementMsg;

/**
 * Classe que representa un camp d'una taula.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
public class Field {

	//Nom del camp.
	private String name		= null;
	
	/**
	 * Constructor.
	 * 
	 * @param name - Nom del camp.
	 * 
	 * @throws MyFrameUOCException 
	 */
	public Field(String name) throws MyFrameUOCException {
		if (name == null || "".equals(name)){
			//Error => No es pot crear un camp sense un nom.
			throw new MyFrameUOCException(QueryManagementMsg.CAMP_SENSE_NOM);
		}
		this.name = name;
	}
	
	/**
	 * Permet obtenir el nom del camp.
	 * 
	 * @return Un <code>String</code> amb el nom del camp.
	 */
	public String getName(){
		return (this.name);
	}
}
