package com.uoc.myframeuoc.querymanagement;

/**
 * Aquest <code>Enum</code> serveix per a emmagatzemar els operadors lgics 
 * que es poden utilitzar en les restriccions d'una sentncia SQL:
 * <br><br>
 * <li>
 * {@link com.uoc.myframeuoc.querymanagement.LogicalOperator#AND AND}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.querymanagement.LogicalOperator#OR OR}
 * </li>
 * <br><br>
 * @author Jordi Garcia Casanova.
 *
 */
public enum LogicalOperator {
	/**
	 * Operador lgic 'AND'.
	 */
	AND("AND"),
	/**
	 * Operador lgic 'OR'.
	 */
	OR("OR");
	
	//Nom de l'operador lgic.
	private String operator		= null;
	
	/**
	 * Constructor.
	 * 
	 * @param operator - Operador lgic que es pot utilitzar en les
	 * restriccions d'una sentncia SQL.
	 */
	LogicalOperator(String operator){
		this.operator = operator;
	}
	
	/**
	 * Permet obtenir l'operador lgic utilitzat en la restricci.
	 * 
	 * @return Un <code>String</code> amb l'operador lgic utitlizat
	 * en la restricci.
	 */
	public String getOperator(){
		return (this.operator);
	}
}
