package test.environment.configuration;

import org.junit.Assert;
import org.junit.Test;

import com.uoc.myframeuoc.environment.Session;
import com.uoc.myframeuoc.exceptions.MyFrameUOCException;

/**
 * Proves dels fitxers de configuraci.
 * 
 * @author Jordi Garcia Casanova
 *
 */
public class ConfigurationTest {
	private final String ruta	= "test/ConfigurationFiles/";
	
	@Test
	public void test0001(){
		try {
			Session.getSession(this.ruta + "Configuration0001.xml");
			Assert.fail("El fitxer de configuraci est buit i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0002(){
		try {
			Session.getSession(this.ruta + "Configuration0002.xml");
			Assert.fail("No s'ha trobat el node <MyFrameUOC> en el fitxer de configuraci i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0003(){
		try {
			Session.getSession(this.ruta + "Configuration0003.xml");
			Assert.fail("L'estructrua del fitxer de configuraci s incorrecta i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0004(){
		try {
			Session.getSession(this.ruta + "Configuration0004.xml");
			Assert.fail("L'estructrua del fitxer de configuraci s incorrecta i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0005(){
		try {
			Session.getSession(this.ruta + "Configuration0005.xml");
			Assert.fail("El vlaor del node <SGBD> no es informat i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0006(){
		try {
			Session.getSession(this.ruta + "Configuration0006.xml");
			Assert.fail("El SGBD informat en el fitxer de configuraci s incorrecte i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0007(){
		try {
			Session.getSession(this.ruta + "Configuration0007.xml");
			Assert.fail("L'estructrua del fitxer de configuraci s incorrecta pequ falta el node <url> i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0008(){
		try {
			Session.getSession(this.ruta + "Configuration0008.xml");
			Assert.fail("L'estructrua del fitxer de configuraci s incorrecta pequ falta el node <user> i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0009(){
		try {
			Session.getSession(this.ruta + "Configuration0009.xml");
			Assert.fail("L'estructrua del fitxer de configuraci s incorrecta pequ falta el node <password> i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0010(){
		try {
			Session.getSession(this.ruta + "Configuration0010.xml");
			Assert.fail("El valor del node <url> no est informat i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0011(){
		try {
			Session.getSession(this.ruta + "Configuration0011.xml");
			Assert.fail("El valor del node <user> no est informat i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0012(){
		try {
			Session.getSession(this.ruta + "Configuration0012.xml");
			Assert.fail("El password s incorrecte i MyFrameUOC no ha donat error.");
		} 
		catch (MyFrameUOCException e) {
			//Ok.
		}
	}
	
	@Test
	public void test0013(){
		try {
			Session.getSession(this.ruta + "Configuration0013.xml");
		} 
		catch (MyFrameUOCException e) {
			Assert.fail(e.getMessage());
		}
	}
	
	@Test
	public void test0014(){
		try {
			Session.getSession(this.ruta + "Configuration0014.xml");
		} 
		catch (MyFrameUOCException e) {
			Assert.fail(e.getMessage());
		}
	}
}
