package test.mapping.manytomany;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;


import com.uoc.myframeuoc.environment.Session;
import com.uoc.myframeuoc.exceptions.MyFrameUOCException;


/**
 * Proves de les relacions de molts a molts.
 * 
 * @author Jordi Garcia Casanova.
 *
 */
@RunWith(Parameterized.class)
public class ManyToManyTest {
	private String file		= null;
	
	@Parameters
	public static Collection<Object[]> data(){
		Object[][] data = {
							{"test/ConfigurationFiles/OracleConfiguration.xml"}, 
							{"test/ConfigurationFiles/MySQLConfiguration.xml"}
						};
		return Arrays.asList(data);
	}
	
	public ManyToManyTest(String file){
		this.file = file;
	}

	@Test
	public void test0001(){
		Entitat0001A entitatA1					= null;
		Entitat0001A entitatA2					= null;
		Entitat0001A entitatA3					= null;
		Entitat0001B entitatB1					= null;
		Entitat0001B entitatB2					= null;
		Entitat0001B entitatB3					= null;
		ArrayList<Entitat0001B> llistaBdeA1		= null;
		ArrayList<Entitat0001B> llistaBdeA2		= null;
		ArrayList<Entitat0001B> llistaBdeA3		= null;
		ArrayList<Entitat0001A> llistaAdeB1		= null;
		ArrayList<Entitat0001A> llistaAdeB2		= null;
		ArrayList<Entitat0001A> llistaAdeB3		= null;
		String nameEntityA						= Entitat0001A.class.getCanonicalName();
		String nameEntityB						= Entitat0001B.class.getCanonicalName();
		Session session							= null;
		Entitat0001A entitatA1Read				= null;
		Entitat0001A entitatA2Read				= null;
		Entitat0001A entitatA3Read				= null;
		Entitat0001B entitatB1Read				= null;
		Entitat0001B entitatB2Read				= null;
		Entitat0001B entitatB3Read				= null;
		ArrayList<Object> pk					= new ArrayList<Object>();
		boolean trobat							= false;
		int elements;
		int i;
		
		entitatA1 = new Entitat0001A();
		entitatA1.setAtribut1A(1);
		entitatA1.setAtribut2A("Valor atribut2A 1");
		
		entitatA2 = new Entitat0001A();
		entitatA2.setAtribut1A(2);
		entitatA2.setAtribut2A("Valor atribut2A 2");
		
		entitatA3 = new Entitat0001A();
		entitatA3.setAtribut1A(3);
		entitatA3.setAtribut2A("Valor atribut2A 3");
		
		entitatB1 =  new Entitat0001B();
		entitatB1.setAtribut1B(1);
		entitatB1.setAtribut2B("Valor atribut2B 1");
		
		entitatB2 = new Entitat0001B();
		entitatB2.setAtribut1B(2);
		entitatB2.setAtribut2B("Valor atribut2B 2");
		
		entitatB3 = new Entitat0001B();
		entitatB3.setAtribut1B(3);
		entitatB3.setAtribut2B("Valor atribut2B 3");
		
		llistaBdeA1 = new ArrayList<Entitat0001B>();
		llistaBdeA1.add(entitatB1);
		llistaBdeA1.add(entitatB2);
		
		llistaBdeA2 = new ArrayList<Entitat0001B>();
		llistaBdeA2.add(entitatB2);
		llistaBdeA2.add(entitatB3);
		
		llistaBdeA3 = new ArrayList<Entitat0001B>();
		llistaBdeA3.add(entitatB3);
		
		llistaAdeB1 = new ArrayList<Entitat0001A>();
		llistaAdeB1.add(entitatA2);
		
		llistaAdeB2 = new ArrayList<Entitat0001A>();
		llistaAdeB2.add(entitatA3);
		
		llistaAdeB3 = new ArrayList<Entitat0001A>();
		llistaAdeB3.add(entitatA2);
		llistaAdeB3.add(entitatA3);
		
		entitatA1.setAtribut3A(llistaBdeA1);
		
		entitatA2.setAtribut3A(llistaBdeA2);
		
		entitatA3.setAtribut3A(llistaBdeA3);
		
		entitatB1.setAtribut3B(llistaAdeB1);
		
		entitatB2.setAtribut3B(llistaAdeB2);
		
		entitatB3.setAtribut3B(llistaAdeB3);
		
		try {
			session = Session.getSession(this.file);
		}
		catch (MyFrameUOCException e) {
			Assert.fail(e.getMessage());
		}
		
		try {
			session.drop(nameEntityA);
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		try {
			session.insert(entitatA1);
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		pk.clear();
		pk.add(entitatA1.getAtribut1A());
		
		try {
			entitatA1Read = (Entitat0001A) session.read(nameEntityA, pk);
			if (entitatA1Read == null){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha pogut recuperar de la base de dades.");
			}
			if (!entitatA1.getAtribut2A().equals(entitatA1Read.getAtribut2A())){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha emmagatzemat correctament.");
			}
			elements = entitatA1Read.getAtribut3A().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatA1Read.getAtribut3A().get(i).getAtribut1B() == entitatA1.getAtribut3A().get(0).getAtribut1B()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha emmagatzemat correctament.");
			}
			
			elements = entitatA1Read.getAtribut3A().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatA1Read.getAtribut3A().get(i).getAtribut1B() == entitatA1.getAtribut3A().get(1).getAtribut1B()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha emmagatzemat correctament.");
			}
		}
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		pk.clear();
		pk.add(entitatA2.getAtribut1A());
		
		try {
			entitatA2Read = (Entitat0001A) session.read(nameEntityA, pk);
			if (entitatA2Read == null){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha pogut recuperar de la base de dades.");
			}
			
			elements = entitatA2Read.getAtribut3A().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatA2Read.getAtribut3A().get(i).getAtribut1B() == entitatA2.getAtribut3A().get(0).getAtribut1B()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha emmagatzemat correctament.");
			}
			
			elements = entitatA2Read.getAtribut3A().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatA2Read.getAtribut3A().get(i).getAtribut1B() == entitatA2.getAtribut3A().get(1).getAtribut1B()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha emmagatzemat correctament.");
			}
			
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		pk.clear();
		pk.add(entitatA3.getAtribut1A());
		
		try {
			entitatA3Read = (Entitat0001A) session.read(nameEntityA, pk);
			if (entitatA3Read == null){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha pogut recuperar de la base de dades.");
			}
			
			elements = entitatA3Read.getAtribut3A().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatA3Read.getAtribut3A().get(i).getAtribut1B() == entitatA3.getAtribut3A().get(0).getAtribut1B()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001A no s'ha emmagatzemat correctament.");
			}
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		pk.clear();
		pk.add(entitatB1.getAtribut1B());
		
		try {
			entitatB1Read = (Entitat0001B) session.read(nameEntityB, pk);
			if (entitatB1Read == null){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha pogut recuperar de la base de dades.");
			}
			
			elements = entitatB1Read.getAtribut3B().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatB1Read.getAtribut3B().get(i).getAtribut1A() == entitatB1.getAtribut3B().get(0).getAtribut1A()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha emmagatzemat correctament.");
			}
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		pk.clear();
		pk.add(entitatB2.getAtribut1B());
		
		try {
			entitatB2Read = (Entitat0001B) session.read(nameEntityB, pk);
			if (entitatB2Read == null){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha pogut recuperar de la base de dades.");
			}
			
			elements = entitatB2Read.getAtribut3B().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatB2Read.getAtribut3B().get(i).getAtribut1A() == entitatB2.getAtribut3B().get(0).getAtribut1A()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha emmagatzemat correctament.");
			}
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		pk.clear();
		pk.add(entitatB3.getAtribut1B());
		
		try {
			entitatB3Read = (Entitat0001B) session.read(nameEntityB, pk);
			if (entitatB3Read == null){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha pogut recuperar de la base de dades.");
			}
			
			elements = entitatB3Read.getAtribut3B().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatB3Read.getAtribut3B().get(i).getAtribut1A() == entitatB3.getAtribut3B().get(0).getAtribut1A()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha emmagatzemat correctament.");
			}
			
			elements = entitatB3Read.getAtribut3B().size();
			trobat = false;
			i = 0;
			while (!trobat && i < elements){
				if (entitatB3Read.getAtribut3B().get(i).getAtribut1A() == entitatB3.getAtribut3B().get(1).getAtribut1A()){
					trobat = true;
				}
				else{
					i++;
				}
			}
			if (!trobat){
				session.close();
				Assert.fail("L'objecte de l'entitat Entitat0001B no s'ha emmagatzemat correctament.");
			}
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		entitatA1.setAtribut2A("Nou valor per a l'atribut2A");
		
		entitatB1.setAtribut2B("Nou valor per a l'atribut2B");
		
		llistaBdeA1.remove(entitatB2);
		
		try {
			session.update(entitatA1);
		}
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		try {
			session.delete(entitatA1);
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		try {
			session.drop(nameEntityA);
		} 
		catch (MyFrameUOCException e) {
			session.closeNoEx();
			Assert.fail(e.getMessage());
		}
		
		try {
			session.close();
		} 
		catch (MyFrameUOCException e) {
			Assert.fail(e.getMessage());
		}
	}
}
